Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid.quadrilateral
Interface ReferenceableGrid

All Superinterfaces:
  GridPositioning, RectifiableGrid

    @UML(identifier="CV_ReferenceableGrid",
         specification=ISO_19123)
    public interface ReferenceableGrid

extends RectifiableGrid

A grid whose relation with an external coordinate reference system is specified in another way than in terms of origin, orientation and spacing in that coordinate system. The transformation between grid and external coordinate system can be some analytical or non-analytical form.

TODO:
  Comment (Wim): there seems to be no way to check whether two ReferenceableGrids are equal, i.e. exactly fitting on all GridPoints.
  Martin: a possible approach is to import the "gridToCRS" attribute from the legacy OGC specification, exactly as proposed for `RectifiedGrid`. Two ReferenceableGrids with the same grid geometry and the same "gridToCRS" math transform exactly fitting on all GridPoints.

Method Summary
`CoordinateReferenceSystem` | `getCoordinateReferenceSystem()` This inherited association from GridPositioning specifies the coordinate system into which this object transforms coordinates.
`GridCoordinates` | `inverseTransformCoordinates(DirectPosition p)` Transforms from a direct position to the grid coordinates of the nearest grid point.
`DirectPosition` | `transformCoordinates(GridCoordinates g)` Transforms the specified GridCoordinates to a location in an external CRS.

Methods inherited from interface RectifiableGrid
`convertCoordinates, getGridToCRS, inverseConvertCoordinates`

Methods inherited from interface GridPositioning
`getGrid, getInverseOperation, getOperation`

Method Detail

### getCoordinateReferenceSystem

    @UML(identifier="CoordinateReferenceSystem",
         obligation=MANDATORY,
         specification=ISO_19123)
    CoordinateReferenceSystem getCoordinateReferenceSystem()

  This inherited association from GridPositioning specifies the coordinate system into which this object transforms coordinates. ISO 19123 specifies this association directly on this class.

  Specified by:
    `getCoordinateReferenceSystem` in interface `GridPositioning`

### transformCoordinates

    @UML(identifier="coordTransform",
         obligation=MANDATORY,
         specification=ISO_19123)
    DirectPosition transformCoordinates(GridCoordinates g)

  Transforms the specified GridCoordinates to a location in an external CRS. This method may transform the GridCoordinates directly, or may transform the associated sample point.

### inverseTransformCoordinates

    @UML(identifier="invCoordTransform",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates inverseTransformCoordinates(DirectPosition p)

  Transforms from a direct position to the grid coordinates of the nearest grid point.

  TODO:
    Question (Wim): GridCoordinates are always integers, how to get the not rounded results?
    Martin: The legacy OGC specification defined a "gridToCRS" math transform for that. We may consider to import this element in the proposed set of interfaces.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.